function HoloRec3DPath(DHtoolDir)

%-------------------------------------------------------------------------%
% Goal: Set Matlab directory path for HoloRec3D
%-------------------------------------------------------------------------%     
% USE: HoloRec3DPath(pwd)
%-------------------------------------------------------------------------%
a=pwd;
        temp=find(a=='/');
        if size(temp,2)>0
            path_data=strcat(pwd,'/Data/');
            joint='/';
        else
            path_data=strcat(pwd,'\Data\');
            joint='\';
        end   

save path_data.mat path_data
save joint_path.mat joint

fprintf('HoloRec3D root directory: %s\n',DHtoolDir);

% Adds the root directory of the DHtool to the user's path
addpath(DHtoolDir);

% Generates a list of the directories below the DHtool.
[rootPath,fName,ext]=fileparts(which('HoloRec3DPath'));
p = genpath(rootPath);

% Adds all of the directories to the user's path and Refreshes the path.
addpath(p);path(path);

return;
